QGIS Application - Bug report #6792
SVG from URL the local files should be with file:
2012-11-29 12:52 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15940
Description

Hi,

| see when save a sld file using a local SVG symbol.

The svg has a xlink:href like this:

xlink:href="C:/my-programs/OSGeo4W/apps/qgis-dev/./svg/sport/golf_flag_in_hole_on_gr_01.svg"

AFAIK it should be defined with a URI sintax like this:
file:///C:/my-programs/OSGeo4W/apps/qgis-dev/./svg/sport/golf_flag_in_hole_on_gr_01.svg

Regards.

Associated revisions

Revision b45e2154 - 2012-12-02 08:28 PM - Giuseppe Sucameli

SLD support: export local svg paths to URI (fix #6792)

History

#1 - 2012-11-29 03:51 PM - Giuseppe Sucameli

- Assignee set to Giuseppe Sucameli

Links must follow the xlink specifications, this means that urls could also contain relative paths.
It's better to use relative paths instead of absolute ones so SLD files can be shared in a easier way.

QGIS stores paths into the QML files as relative to either the project path or one of the directories in QgsApplication::svgPaths(), the same approach could

be used for SLD files.

#2 - 2012-12-02 11:19 AM - aperi2007 -

QGIS stores paths into the QML files as relative to either the project path or one of the directories in

QgsApplication::svgPaths(), the same approach could be used for SLD files.

This approach is quite clear to be for local files.
http://www.w3.org/TR/xlink/

But | don't understand how it is applied to a internet URL.

QGIS store as a directory in svgPath the URL of a remote server ?

#3 - 2012-12-02 11:24 AM - Giuseppe Sucameli

aperi2007 - wrote:

But I don't understand how it is applied to a internet URL.

The ticket is about local files...

QGIS store as a directory in svgPath the URL of a remote server ?

No changes will be done to remote URLSs, they are stored unchanged in both QML and SLD.

#4 - 2012-12-02 11:47 AM - Giuseppe Sucameli
- Status changed from Open to Closed

Fixed in changeset commit:"b45e2154578605bc8c7762¢c281308d1b6f8d2962".

#5 - 2012-12-02 11:48 AM - Giuseppe Sucameli
- Resolution set to fixed

Please, try and report if you find any problem.
